summaryrefslogtreecommitdiff
path: root/dev-vcs
diff options
context:
space:
mode:
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/Manifest.gzbin13961 -> 13961 bytes
-rw-r--r--dev-vcs/bfg/Manifest2
-rw-r--r--dev-vcs/bfg/bfg-1.13.0.ebuild31
-rw-r--r--dev-vcs/git-cola/Manifest8
-rw-r--r--dev-vcs/git-cola/files/git-cola-2.2.1-disable-live-tests.patch22
-rw-r--r--dev-vcs/git-cola/files/git-cola-2.2.1-update-git-config-in-tests.patch13
-rw-r--r--dev-vcs/git-cola/git-cola-2.2.1.ebuild97
-rw-r--r--dev-vcs/git-cola/git-cola-2.3.ebuild96
-rw-r--r--dev-vcs/git-cola/git-cola-2.4.ebuild96
-rw-r--r--dev-vcs/git/Manifest2
-rw-r--r--dev-vcs/git/git-2.16.1.ebuild2
-rw-r--r--dev-vcs/subversion/Manifest5
-rw-r--r--dev-vcs/subversion/subversion-1.10.0_rc1.ebuild524
-rw-r--r--dev-vcs/subversion/subversion-1.9.7-r1.ebuild2
14 files changed, 564 insertions, 336 deletions
diff --git a/dev-vcs/Manifest.gz b/dev-vcs/Manifest.gz
index 0d75e910aaf7..6f19922c6486 100644
--- a/dev-vcs/Manifest.gz
+++ b/dev-vcs/Manifest.gz
Binary files differ
diff --git a/dev-vcs/bfg/Manifest b/dev-vcs/bfg/Manifest
index e6eb04722af7..807872f5695f 100644
--- a/dev-vcs/bfg/Manifest
+++ b/dev-vcs/bfg/Manifest
@@ -1,3 +1,5 @@
DIST bfg-1.12.15.jar 14814817 BLAKE2B 8b7a27e3e00450ac92237dfafe2c7fe13ca61fa67b246112ad17858e89429d03517e0f08c037d9346fa570fa889a1cfe43e125c45f96b5b6da3621daa6d23cfa SHA512 79a74a534c1d7fcf0b1505b1e5286234cb5b33e7fe4f2ee1b72c1d6d591257f172a76ca56374d6eadd797a60316ae68da115929e7cb667a44a8c772f8cd8cff4
+DIST bfg-1.13.0.jar 13465496 BLAKE2B 1f9eaa44f032c182a8d50dfebaee668a2d7de2361ea48336932e5168a6a3b6970bbca742943917d4ecc392586f03d19add1d1cd9772e023389b9711874871c53 SHA512 e037be1dd52bd122a57fed18ebc4923238666e9985ad2d40174344a1ca45a05abd9a59f1c2ea743be49d094fd76a5794a0e3160a9d3be04a7986c3a444df4fa8
EBUILD bfg-1.12.15.ebuild 628 BLAKE2B b9f278f51557e4054e3d6df1d9832bb186c9e3693e83489ddf49eddaa36f71599a42765bf056eb73402b82f1f0f5afe0cfc681ba9dc99b48239ca44966c315e6 SHA512 41dbb3be0e028e431600c6ef3c24f69ab86f6829bfa7c12d2acd40edab1d4d06a899f73b38e8ca90c2fc31b13e7f7caa6819c174672e24b586965d26001e63b5
+EBUILD bfg-1.13.0.ebuild 628 BLAKE2B aba22669959f35fc00ffdda2fbc67ddc0d37caa29c3d75d2140ea3516990433928df7fc095cd4162eef12cb77ac348ca3d5e0c7ced9a287a1a7c3bc6c8338d4f SHA512 55073f53418f4af37af6f2547f6548bee12ff5a4a2d3c30b09ea03673a1e18f28b775438bdc31f78689bc808b955702b2a6bd2588c17f9e1639052ae2e0a6410
MISC metadata.xml 246 BLAKE2B a30d57a217fcd3c7c7d170b71f1ab806d11e9b520595802ebfb0123a82682d4fc045f033b164402ac51f939fef7cad737eb2012f62864298b6c5d23c69575519 SHA512 ca07e0609b698c2b53062b71008fee49b91af78fc2ef25997311e37985d79283d333f5b842257a16e7dee36ce34c07d405e1f93742f341f10ca70904e9f9a4e6
diff --git a/dev-vcs/bfg/bfg-1.13.0.ebuild b/dev-vcs/bfg/bfg-1.13.0.ebuild
new file mode 100644
index 000000000000..d321b3273889
--- /dev/null
+++ b/dev-vcs/bfg/bfg-1.13.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-pkg-2
+
+DESCRIPTION="a faster alternative to git-filter-branch for removing bad data from git repos"
+HOMEPAGE="https://rtyley.github.io/bfg-repo-cleaner/"
+SRC_URI="https://repo1.maven.org/maven2/com/madgag/${PN}/${PV}/${P}.jar"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.7"
+
+S=${WORKDIR}
+
+src_prepare() {
+ default
+ java-pkg-2_src_prepare
+}
+
+src_unpack() { :; }
+src_compile() { :; }
+
+src_install() {
+ java-pkg_newjar "${DISTDIR}"/${P}.jar
+ java-pkg_dolauncher ${PN}
+}
diff --git a/dev-vcs/git-cola/Manifest b/dev-vcs/git-cola/Manifest
index dc313cabf2e9..2f1681bab38d 100644
--- a/dev-vcs/git-cola/Manifest
+++ b/dev-vcs/git-cola/Manifest
@@ -1,14 +1,6 @@
AUX README.gentoo 227 BLAKE2B 828266fe46d9eb866250b57921df446055c7835cce3c3d17014563451acfc100f0e3ade6805514d620852273f011c12a8dd581ad90ffa135e5ab168a87790d46 SHA512 9e8b672fe6998a255dea761e186d5a9031895e8ec0eb14d4942c81a462a238ef1eec0431671da8be3ee4bbacd7f81cec6ec1f9e75e2f4429c3472faad5ba2c2d
AUX git-cola-2.10-disable-live-tests.patch 827 BLAKE2B f7778c373b4e7b2c09daeeeab5c15c09870a70f8d490d2bd16d2e1b62f0c96c4bec6517cc99fa8d0a65daeb1551993d4e367f39f60099afdf31597847762ee39 SHA512 86f7410ce711db2dc19d4348047285dbd1a3c078512d13b589ef898dfd870a4f459371319965c697d8654dd4550a358e67e5d6b74c0317820422c3e98b7084a9
-AUX git-cola-2.2.1-disable-live-tests.patch 800 BLAKE2B f191aa3e4c40c97fd54399731314b58ba594d3c7cb0b92e6ca9e13a09855383b38130c5f7088433d27c535214eb3abc3fc2ea5824227e2d355385ff5f09ed21e SHA512 36b84490d371dbeff3a206603c4ff3d64d6e4b60338c48c83864d66058c95371e3e3621390cb9541a8d955e2a8f1a6187539ee0a966c5b8beaa48a3e417c4803
-AUX git-cola-2.2.1-update-git-config-in-tests.patch 445 BLAKE2B 93526a551865077203e54977371ecf973f9f8f6f7f45c0825df49d5fb74eab8f2136dd3c6f1e4a8bc53dddb5e5545b1308a36461c70cb26ac34a7d035ea9da4f SHA512 abb8fadcb851c11e896dbbcd247ea03bb9a6a109302fef0dfa847b6a4702334a16b97508c1e000763ef81af805d46cc28dcf25669d2e51cf79c0e1aadbe43fae
AUX index.html 355 BLAKE2B 24c532f3882744fe3be55fbef8eb35410849124baeffc56659fa6200140ec7059bfee2323443a5ea62481b6b4c43b6fcc1e116acf8f67082ade03b2a8a23aed1 SHA512 a3e66bb220ae05c2f49a75ce413c5aeefb9ced26f7e8b2175b32ade83663153fab94f8601b1d0182d1eeb907edc6c1bef3ad96d84b1e6c00ca4d5a816be79bac
DIST git-cola-2.11.tar.gz 1179769 BLAKE2B db2926b8137b2bb11cc9698b37156d8b0c8f72068061d7d1598b2e3237e44764c2914923103aaaa704babe26cf7a7c16bbe28a61770d98954f776b8ce955658a SHA512 99b865d7a49dcb041e54811141d242386642b5ed6fc12fa7a03431eb9b905cb88d88c4892dc432dd59e8ae3c85f20cc40f4bfb9b6ff002f4e5a4cfc0bdc4c72c
-DIST git-cola-2.2.1.tar.gz 996484 BLAKE2B 2c2c2bc085eec36c4ef6809a93458d8faa5ca6a880310877aa0dc56e4ad0ffb6a7d7c86785d8f5354d613d4b8c5fa5bce057be60bd97220f64d66aa905ae78f4 SHA512 a91fe706ea150d9bd9a05a9d494c63d373cae0154deca8e40e30fc20e70be32d4fd1f021a971c067d46ab24f472965a12c115eeb4bd94e4f62c21e546d89c109
-DIST git-cola-2.3.tar.gz 1005858 BLAKE2B 18265a959ff4662ac2ba5a1ba0c304a5b79a485d96ac744a9525c2dfb84d898c314742857665728bae8c85366b00f348bc043133ef842f140a49a8e0c1af1246 SHA512 2be0e971cd23aa0a1f8ec92ffd05f64cdd0ee34fb1e3c9bd3a98df0556968e9613d6494002e973db8de8ab389c48205ab1db42823d46e523c24a029cf25e3023
-DIST git-cola-2.4.tar.gz 987829 BLAKE2B 38ab959c19642349c6910d1131aa5e20d3577d39816a93759b9c2f18e4a3ccc65a972317910dde872f870237bf55c62dd63e83d04ae80b0ecf8afd2adcb5d56b SHA512 702d5c7322a21e5807354d3b3b7b31fd5cef3c12c3294e2ad57add99f586277d4805e85122682acde40e6243529588e62762f9483d807ed12340057c6a37a0cc
EBUILD git-cola-2.11.ebuild 2450 BLAKE2B 7ef4f1959c5fad542c08d80e69a6370666520feb5669c12d0aaf585c7ab6c293673d967d7fa594f53f6b4107f960648124b04db60cca60220b311dab40ee6c44 SHA512 4f591549029883a04e5a706fa77254526e8de1ae58c7a6614d3eb1a948dff79dbfe7a6a243d86ddef9c05deffd99a52c78db84559073aa578a688a884608aafd
-EBUILD git-cola-2.2.1.ebuild 2237 BLAKE2B 624ea397cbcae82f193739a863857418915290023d7db00f876d24477676e3276615fa3e490256b9269e4c0f5b3476a002a4b8cfe0cad2781472b65d19822207 SHA512 242289488664a7308ad53e1cda3c3ed064125ac0853e78faa3f3b749a721ec9565d912e5373237d78144f06b5b9b9230408aaa16f37603add548992f039fa1e4
-EBUILD git-cola-2.3.ebuild 2193 BLAKE2B 8d7ace268b0899dcbbdb284320b42ee16150b0a226b64b2000bdee2c04d4770b8fe7eaae88a427ac9403411596430e41e28aa6a6b6607b90aa3aa38e6918f9df SHA512 7b2c4b322965a6be84eb2a094e50fbf64e8a556dc4ddfbdb0deb3ae95ca525ea113fdb362163d34b36040707026a3cf9344f406f22662fd3706d094583b036a4
-EBUILD git-cola-2.4.ebuild 2218 BLAKE2B 3c62e501ce9353b4d94270da568a843ce53a23ee729dd52c5c46734bf7f43f9d8478ab04604741bd504ac5f31a8b52167e478162f37229e0c4fd59e73e1bd9f7 SHA512 b3033ffa46f5c75700b065ae6e0fe25767e64c79d7525be89c2bf1cf0ef468cd2ca78ee75ea32c63d6d0aa3ce130270f3501e5fcc2fabf7e46bb52480c356461
MISC metadata.xml 342 BLAKE2B 3c25a34b0009e31ea7a125733b8105d40be8d818106b7051d6b4180a8f4c39e16ce46eada9acef2cb5424d3fdc36965bdddb3f048c07b6920593a57d6ffff001 SHA512 9ef75fe8465b602db4d9645535f9ce228af6afffac7309c5f3e7dbe266fe5c89a08e96bc53c2fb4a364a8c3ec6c3d87579eb076d6ba005499f0f4f07316caecb
diff --git a/dev-vcs/git-cola/files/git-cola-2.2.1-disable-live-tests.patch b/dev-vcs/git-cola/files/git-cola-2.2.1-disable-live-tests.patch
deleted file mode 100644
index 2ebdc9880d1e..000000000000
--- a/dev-vcs/git-cola/files/git-cola-2.2.1-disable-live-tests.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-diff --git a/test/git_test.py b/test/git_test.py
-index 9f812b2..ff7da24 100644
---- a/test/git_test.py
-+++ b/test/git_test.py
-@@ -53,17 +53,6 @@ class GitCommandTest(unittest.TestCase):
- version = self.git.version()[STDOUT]
- self.failUnless(version.startswith('git version'))
-
-- def test_tag(self):
-- """Test running 'git tag'"""
-- tags = self.git.tag()[STDOUT].splitlines()
-- self.failUnless( 'v1.0.0' in tags )
--
-- def test_show(self):
-- """Test running 'git show'"""
-- sha = '1b9742bda5d26a4f250fa64657f66ed20624a084'
-- contents = self.git.show(sha)[STDOUT].splitlines()
-- self.failUnless(contents[0] == '/build')
--
- def test_stdout(self):
- """Test overflowing the stdout buffer"""
- # Write to stdout only
diff --git a/dev-vcs/git-cola/files/git-cola-2.2.1-update-git-config-in-tests.patch b/dev-vcs/git-cola/files/git-cola-2.2.1-update-git-config-in-tests.patch
deleted file mode 100644
index 96271d05548c..000000000000
--- a/dev-vcs/git-cola/files/git-cola-2.2.1-update-git-config-in-tests.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/test/helper.py b/test/helper.py
-index 006a5b1..64d0dfc 100644
---- a/test/helper.py
-+++ b/test/helper.py
-@@ -87,6 +87,8 @@ class GitRepositoryTestCase(TmpPathTestCase):
-
- def initialize_repo(self):
- self.git('init')
-+ self.git('config', '--local', 'user.name', 'Your Name')
-+ self.git('config', '--local', 'user.email', 'you@example.com')
- self.touch('A', 'B')
- self.git('add', 'A', 'B')
-
diff --git a/dev-vcs/git-cola/git-cola-2.2.1.ebuild b/dev-vcs/git-cola/git-cola-2.2.1.ebuild
deleted file mode 100644
index cad0264b76b7..000000000000
--- a/dev-vcs/git-cola/git-cola-2.2.1.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 python3_4 )
-DISTUTILS_SINGLE_IMPL=true
-
-inherit distutils-r1 readme.gentoo virtualx
-
-DESCRIPTION="The highly caffeinated git GUI"
-HOMEPAGE="https://git-cola.github.io/"
-SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-RDEPEND="
- dev-python/pyinotify[${PYTHON_USEDEP}]
- dev-python/send2trash[${PYTHON_USEDEP}]
- dev-python/PyQt4[${PYTHON_USEDEP}]
- dev-vcs/git"
-DEPEND="${RDEPEND}
- sys-devel/gettext
- doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- python_targets_python2_7? ( dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
- )
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=(
- "${FILESDIR}"/${P}-disable-live-tests.patch
- "${FILESDIR}"/${P}-update-git-config-in-tests.patch
-)
-
-python_prepare_all() {
- rm share/git-cola/bin/*askpass* || die
-
- # remove broken tests
- rm test/i18n_test.py || die
-
- # don't install docs into wrong location
- sed -i -e '/doc/d' setup.py || die
-
- # fix doc directory reference
- sed -i \
- -e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
- cola/resources.py || die
-
- # fix ssh-askpass directory reference
- sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- cd share/doc/${PN}/ || die
- if use doc; then
- emake all
- else
- sed \
- -e '/^install:/s:install-html::g' \
- -e '/^install:/s:install-man::g' \
- -i Makefile || die
- fi
-}
-
-python_test() {
- PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" \
- VIRTUALX_COMMAND="nosetests --verbose --with-id --with-doctest \
- --exclude=sphinxtogithub" \
- virtualmake
-}
-
-src_install() {
- distutils-r1_src_install
-}
-
-python_install_all() {
- cd share/doc/${PN}/ || die
- emake \
- DESTDIR="${D}" \
- docdir="${EPREFIX}/usr/share/doc/${PF}" \
- prefix="${EPREFIX}/usr" \
- install
-
- python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase"
- python_optimize "${ED}/usr/share/git-cola/lib/cola"
-
- use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
-
- distutils-r1_python_install_all
- readme.gentoo_create_doc
-}
diff --git a/dev-vcs/git-cola/git-cola-2.3.ebuild b/dev-vcs/git-cola/git-cola-2.3.ebuild
deleted file mode 100644
index 878eef70db2b..000000000000
--- a/dev-vcs/git-cola/git-cola-2.3.ebuild
+++ /dev/null
@@ -1,96 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 python3_4 )
-DISTUTILS_SINGLE_IMPL=true
-
-inherit distutils-r1 readme.gentoo virtualx
-
-DESCRIPTION="The highly caffeinated git GUI"
-HOMEPAGE="https://git-cola.github.io/"
-SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-RDEPEND="
- dev-python/pyinotify[${PYTHON_USEDEP}]
- dev-python/send2trash[${PYTHON_USEDEP}]
- dev-python/PyQt4[${PYTHON_USEDEP}]
- dev-vcs/git"
-DEPEND="${RDEPEND}
- sys-devel/gettext
- doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- python_targets_python2_7? ( dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
- )
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.2.1-disable-live-tests.patch
-)
-
-python_prepare_all() {
- rm share/git-cola/bin/*askpass* || die
-
- # remove broken tests
- rm test/i18n_test.py || die
-
- # don't install docs into wrong location
- sed -i -e '/doc/d' setup.py || die
-
- # fix doc directory reference
- sed -i \
- -e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
- cola/resources.py || die
-
- # fix ssh-askpass directory reference
- sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- cd share/doc/${PN}/ || die
- if use doc; then
- emake all
- else
- sed \
- -e '/^install:/s:install-html::g' \
- -e '/^install:/s:install-man::g' \
- -i Makefile || die
- fi
-}
-
-python_test() {
- PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" \
- VIRTUALX_COMMAND="nosetests --verbose --with-id --with-doctest \
- --exclude=sphinxtogithub" \
- virtualmake
-}
-
-src_install() {
- distutils-r1_src_install
-}
-
-python_install_all() {
- cd share/doc/${PN}/ || die
- emake \
- DESTDIR="${D}" \
- docdir="${EPREFIX}/usr/share/doc/${PF}" \
- prefix="${EPREFIX}/usr" \
- install
-
- python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase"
- python_optimize "${ED}/usr/share/git-cola/lib/cola"
-
- use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
-
- distutils-r1_python_install_all
- readme.gentoo_create_doc
-}
diff --git a/dev-vcs/git-cola/git-cola-2.4.ebuild b/dev-vcs/git-cola/git-cola-2.4.ebuild
deleted file mode 100644
index 3b2f509edd47..000000000000
--- a/dev-vcs/git-cola/git-cola-2.4.ebuild
+++ /dev/null
@@ -1,96 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 python3_4 )
-DISTUTILS_SINGLE_IMPL=true
-
-inherit distutils-r1 readme.gentoo virtualx
-
-DESCRIPTION="The highly caffeinated git GUI"
-HOMEPAGE="https://git-cola.github.io/"
-SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-
-RDEPEND="
- dev-python/pyinotify[${PYTHON_USEDEP}]
- dev-python/send2trash[${PYTHON_USEDEP}]
- dev-python/PyQt4[${PYTHON_USEDEP}]
- dev-vcs/git"
-DEPEND="${RDEPEND}
- sys-devel/gettext
- doc? (
- dev-python/sphinx[${PYTHON_USEDEP}]
- python_targets_python2_7? ( dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
- )
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.2.1-disable-live-tests.patch
-)
-
-python_prepare_all() {
- rm share/git-cola/bin/*askpass* || die
-
- # remove broken tests
- rm test/i18n_test.py || die
-
- # don't install docs into wrong location
- sed -i -e '/doc/d' setup.py || die
-
- # fix doc directory reference
- sed -i \
- -e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
- cola/resources.py || die
-
- # fix ssh-askpass directory reference
- sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- cd share/doc/${PN}/ || die
- if use doc; then
- emake all
- else
- sed \
- -e '/^install:/s:install-html::g' \
- -e '/^install:/s:install-man::g' \
- -i Makefile || die
- fi
-}
-
-python_test() {
- PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" \
- VIRTUALX_COMMAND="nosetests --verbose --with-id --with-doctest \
- --exclude=sphinxtogithub" \
- virtualmake
-}
-
-src_install() {
- distutils-r1_src_install
-}
-
-python_install_all() {
- cd share/doc/${PN}/ || die
- emake \
- DESTDIR="${D}" \
- docdir="${EPREFIX}/usr/share/doc/${PF}" \
- prefix="${EPREFIX}/usr" \
- install
-
- python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase" "${ED}"/usr/bin/git-cola
- python_optimize "${ED}/usr/share/git-cola/lib/cola"
-
- use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
-
- distutils-r1_python_install_all
- readme.gentoo_create_doc
-}
diff --git a/dev-vcs/git/Manifest b/dev-vcs/git/Manifest
index 91be85ad8507..25c79a7177af 100644
--- a/dev-vcs/git/Manifest
+++ b/dev-vcs/git/Manifest
@@ -33,7 +33,7 @@ EBUILD git-2.13.6.ebuild 18874 BLAKE2B bcafbe72ca9e7b0d1f8c6c43461ef1d225ca2ee18
EBUILD git-2.14.3.ebuild 19352 BLAKE2B 375c5540c22cbe94fb89f81b099f3d29a92f4f6ef5757792ba80d2b839451988bb9bdec65720b8be7e47dc2ffcea47eeb92531da930705d1c4d40094c435fd56 SHA512 9fee218882dbccd73ea9f0014311630a50194dc090a7a4eddf5970c6c7e675a7a98e2849a9ff8867894f1d84d5ade79ac3edb6a9784005b5d1a6f5c6deebe4ac
EBUILD git-2.15.1.ebuild 19355 BLAKE2B b286bb11c1b50affce296a56465bea7874e56b70343c43c8d7cc8fba872ad92f463800652517434039fe91d2268ea1e469113d09391602ca18a42f0b3b52e2bd SHA512 040fdda804318cd6d42882f98588d7ad5a105af11cbd879532d45c8438e3854f4be8f58ec8bc2a05393edc526950e135f22f547b4efd212e3bedce1cbb9b70fd
EBUILD git-2.16.0.ebuild 19355 BLAKE2B b286bb11c1b50affce296a56465bea7874e56b70343c43c8d7cc8fba872ad92f463800652517434039fe91d2268ea1e469113d09391602ca18a42f0b3b52e2bd SHA512 040fdda804318cd6d42882f98588d7ad5a105af11cbd879532d45c8438e3854f4be8f58ec8bc2a05393edc526950e135f22f547b4efd212e3bedce1cbb9b70fd
-EBUILD git-2.16.1.ebuild 19264 BLAKE2B b4ad441cea5903b25c42afa97077edb0dc298a5b61465039dc555e77fa82362dc3e716e1287d2d37037b6610f0580478fd8aed182c26b44fe96e876afaf7890b SHA512 81f249eed4d8bf1f3efd1be9c4b4adeca1f6066605d6045d976d6192c8863e33a9886d44e328ec84f9b1d38f0b10ef0611bc29ce6ab939529f767dc012547bba
+EBUILD git-2.16.1.ebuild 19263 BLAKE2B 8ea51ed0a81074b344d9564a4e07909bff29f7ad24d7ce404d852d51d93336650e0f007afa72f71c6bd26290930e35d40180005ba6a49c64537b016a697847c0 SHA512 bb7e7e182065528ff9f9d486f14e01ca3c92cdbcfec0ab820937b4afa1ed3ad79b768810a0a5e7676286941a9e073b7083750dfb9e3f8ac2fd08629c0235a502
EBUILD git-2.16.2.ebuild 19268 BLAKE2B c5d980343d17117b4a61bd5ea470b507fdc9061ca760b0140f3591a16f8cc5eeb4756db1bf8c1ff8c984bcd85e5b04e4ce251122b26a55282c0381420ee0dfef SHA512 e3fc8dbf927ac71d8e9fc1caa49f5359f2f6fd8999637d30a674793c16a4be0fef5b9249e87273f0b2289e1583efc724ef3d6fd3bc28d8088dab92617dbf6245
EBUILD git-9999-r1.ebuild 19268 BLAKE2B c5d980343d17117b4a61bd5ea470b507fdc9061ca760b0140f3591a16f8cc5eeb4756db1bf8c1ff8c984bcd85e5b04e4ce251122b26a55282c0381420ee0dfef SHA512 e3fc8dbf927ac71d8e9fc1caa49f5359f2f6fd8999637d30a674793c16a4be0fef5b9249e87273f0b2289e1583efc724ef3d6fd3bc28d8088dab92617dbf6245
EBUILD git-9999-r2.ebuild 19268 BLAKE2B c5d980343d17117b4a61bd5ea470b507fdc9061ca760b0140f3591a16f8cc5eeb4756db1bf8c1ff8c984bcd85e5b04e4ce251122b26a55282c0381420ee0dfef SHA512 e3fc8dbf927ac71d8e9fc1caa49f5359f2f6fd8999637d30a674793c16a4be0fef5b9249e87273f0b2289e1583efc724ef3d6fd3bc28d8088dab92617dbf6245
diff --git a/dev-vcs/git/git-2.16.1.ebuild b/dev-vcs/git/git-2.16.1.ebuild
index 818577dead33..4e97957c393c 100644
--- a/dev-vcs/git/git-2.16.1.ebuild
+++ b/dev-vcs/git/git-2.16.1.ebuild
@@ -45,7 +45,7 @@ if [[ ${PV} != *9999 ]]; then
${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
)"
[[ "${PV}" = *_rc* ]] || \
- KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="GPL-2"
diff --git a/dev-vcs/subversion/Manifest b/dev-vcs/subversion/Manifest
index 95164a12928d..5886fde61bd5 100644
--- a/dev-vcs/subversion/Manifest
+++ b/dev-vcs/subversion/Manifest
@@ -3,10 +3,13 @@ AUX subversion-1.9.7-kf5.patch 9904 BLAKE2B 493c58c6567e2389bc9f33bb60981b22a245
AUX svnserve.confd 322 BLAKE2B 53eb3105691af05e4dde3451569f46621ed78a1ea7e7650b0735b973c0b6c5ff3f7ca0086f9bc852e499b1b9af82f4ee305c8553e114df50e468e9d70fd4655f SHA512 c84d96dad0deb40a04963654c5d0874697f2b270751b3ec41bec64847d61d9e88e336e2ee5da438a527b9d8b8b24d7ddbeacdd4bd4ce02db3629fc0972e0c289
AUX svnserve.initd3 575 BLAKE2B 4bc540dd8693c792fca8fd1061a49608ce7ee9a82d79fc43ab3f2f6eb6d1946dd8efb86e532df3576487ad9f49acdb3b9d95b804019d296fae0f757541957a95 SHA512 3efca4e5065cbe37f5137f3f67a0a654195e50ce0b00468f5edb1e5d476daa82422b1e833281d8edba111360b20d001a5991731e9f32bf3c88ffba75042e2b10
AUX svnserve.xinetd 332 BLAKE2B 95af871ddd83c405cd4072a8bb6293376383d5437562aa604a5eff8e0f34c8763056bf1ea92b11be4f4d4ac5af3fa191b24d4c2040c3a41458103015e24bf09e SHA512 80b486507d03f430e189ef65901ed185f487651400bada5709f544954eb6175d20a11cf98893f80ec963e434c5db5642bf9d1603d698ad8bbf96b88fa45ddbae
+DIST subversion-1.10.0-rc1.tar.bz2 8346944 BLAKE2B 4d7594af685b74b18e8834449b33128102e49d6806881203e4e2a3a0e073d043ec2c6ee375bd70db722ebecc38b6bcc503734809ef6a0bda089bc88ed15af24c SHA512 b31bdbdc2ddd927e5ccc0ead8baebe641682eed58b7aee00bb775f0b5397a326eb25249b1138adfa92ac2724839b7a71012d77cf6be74edaaf13afd3fea76007
+DIST subversion-1.10.0_rc1-patches-1.tar.xz 2984 BLAKE2B 7c9619b95ca6b433a58dc5baf3a1e1b14ef0017f714af81762b975d50a37b743788a4da65cf7f9eb8e633cbc813ad8dd974b530a19ec2d3fc74b75921f8f0c17 SHA512 aa7a25a253ea2da99520399d292d3e1602985392bae6dc5582003fdb9719d654638754b6e370b68b184ee6729ba3833bd511c09b2cb36f8f476b42063f55fbb2
DIST subversion-1.8.18-patchset.tar.bz2 7407 BLAKE2B dc3b6d80dfdf4c6cc30f1663c8cee3eebc4f42d433c3965d8b309f9cc79c31b566a74cf43b3b04037c2498b6a2bffe2c60953c5cfb25aec61a8e4a7e928efcae SHA512 b5c207ed7b6923f1259290563409b2e946a512cc052e4e5d8a061abf3f0909dbbb15c0525a1fca618f1ec5e4abbbc8b49f3f0f714c9dd100f1d6c7e6d88442b2
DIST subversion-1.8.18.tar.bz2 6884906 BLAKE2B 77c0f2e43cd6d69fb360adfea78b42e38ebbfeb6c8d3407a4cdec61e2310e690859247b760f0b67e7a02a0c6d73f0cd6fa77eceed7d4e11eb19e0f0a56e50fdc SHA512 48d596c442da34fa3eb4f0f8b10cc3d5d27841b2fc4e7a493cac8e6f4c722f63fcd67fe99dfac5bbe31ac405055072a304d9a6771974c9990927cb21c5eb31d0
DIST subversion-1.9.7.tar.bz2 7881909 BLAKE2B 004a180780e00f5af80e14586dee799bae07dccde7f240a51594590b1a084f3054b5b4d917d5e47e0b6ffb11097ecfb97fff490f6d31c0532f2aae8cd9d10031 SHA512 a55efd3edaddbc099450d849fcc6fe5a8d20b85ece966d8ac2fd73ee9cb4255a0349bbcfceb4e9fca6daf054ce7c648eff8d273c6873f5dade6e62dcea7eeb2b
+EBUILD subversion-1.10.0_rc1.ebuild 15473 BLAKE2B d68c60e33126a967c5ba1d91eb0e5ca360e22cb19483eb6db7cb8e91c493139bc77ae9078c4409892d42d40114ecaa356261b5365d47cad01417cbf53d5ba846 SHA512 2dc1184923614f2d0b51273fba4ecebc3c4f02913d8b00d24910e485989a41c88e6275bb2cec52b54edffeb017be280161ab13ce89b2603330e62305fe85f8be
EBUILD subversion-1.8.18.ebuild 15810 BLAKE2B 78d6d45a448b6c70b1d6813f23f607ecf79ec936959b8179ff793ea521550433555f4b498b5ea9f1bf4acded0302728dd561c24a4b7e715d0b29c28cdabc2753 SHA512 e50f0c552ac0b3e9654f70f89508ad4eb29e924430d156e18c3a2c88920a1317189be4d02f1b52f7693fc515c981b87e87dffdc20a9a1e5c7959d7289b51b7aa
-EBUILD subversion-1.9.7-r1.ebuild 15822 BLAKE2B aed4fcf74adc0be7a576b1f9c951f4b2c34136d7a1212acafbf1a30636f6a5e08acafd2605212dd1a037d2063f88cc6bd9130b03b39548d4325ecafdd75a3dac SHA512 f15864b223f554d57b2a75919020b7f50cab56cf5c806bb9ff55ac52cfd2b2093c12d39bd353448346a512c7a94b82c9cf3c6bb3f57731edae585a7dda829e52
+EBUILD subversion-1.9.7-r1.ebuild 15821 BLAKE2B 49e3b3b05c41ace62ca2fa83a6551838fc0aed5c83b0455ba9c094e613b4056561f1e5bc46cfd08f79f02921f0b9be307a3c14c02f0d1c30d95df450e90d4d05 SHA512 92a5294698ef9068a179d0ae033cb8b001aa099ef91a8a992b4bb2ec1061acfa3e364b225dc9eb066bedcfdefc89c927ece37711837a72b079a2854b115734e0
EBUILD subversion-1.9.7.ebuild 15687 BLAKE2B 60f9339a3829dd420f15d87a2b3a8673b5bf800b02a33fe70bc5a1c1d01bc79d97a7c8b0102f004288cd8a78ea83c05839a3c6397e3e9283f7bd9acbd0e702b9 SHA512 949dd71c2f252b82f505fd2a1146cc6b89d22865c49c4155e37aab286111f41a07c9b2caa1f1fe042d87abcfcd3bcd1a77528b16379bdc67c62eb604f044a3c9
MISC metadata.xml 659 BLAKE2B 645c4601d97faa216c2b75f48c2202f011ba17611ae68f3d572584b4608e1d5b7ef2db5cfdb78d0aafffce51519f65a4945979e3da9c57b03a2c3f08552e74c8 SHA512 2a2f10c5500540ae1bdd49d80d9689c14a79772d93b689db01e0cd1d63a729b86a7b28974492ee08d6433495c61d5a493590c4c60d843afc881c54d574369313
diff --git a/dev-vcs/subversion/subversion-1.10.0_rc1.ebuild b/dev-vcs/subversion/subversion-1.10.0_rc1.ebuild
new file mode 100644
index 000000000000..6d7267595a4f
--- /dev/null
+++ b/dev-vcs/subversion/subversion-1.10.0_rc1.ebuild
@@ -0,0 +1,524 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby23 ruby22 ruby21"
+DISTUTILS_OPTIONAL=1
+WANT_AUTOMAKE="none"
+GENTOO_DEPEND_ON_PERL="no"
+
+inherit autotools bash-completion-r1 db-use depend.apache distutils-r1 elisp-common flag-o-matic java-pkg-opt-2 libtool ltprune multilib perl-module ruby-single xdg-utils
+
+MY_P="${P/_/-}"
+DESCRIPTION="Advanced version control system"
+HOMEPAGE="https://subversion.apache.org/"
+SRC_URI="mirror://apache/${PN}/${MY_P}.tar.bz2
+ https://dev.gentoo.org/~polynomial-c/${PN}-1.10.0_rc1-patches-1.tar.xz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Subversion GPL-2"
+SLOT="0"
+[[ "${PV}" = *_rc* ]] || \
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring +http java kwallet nls perl python ruby sasl test vim-syntax"
+
+COMMON_DEPEND="
+ app-arch/bzip2
+ app-arch/lz4
+ >=dev-db/sqlite-3.7.12
+ >=dev-libs/apr-1.3:1
+ >=dev-libs/apr-util-1.3:1
+ dev-libs/expat
+ dev-libs/libutf8proc
+ sys-apps/file
+ sys-libs/zlib
+ berkdb? ( >=sys-libs/db-4.0.14:= )
+ ctypes-python? ( ${PYTHON_DEPS} )
+ gnome-keyring? (
+ dev-libs/glib:2
+ gnome-base/libgnome-keyring
+ sys-apps/dbus
+ )
+ http? ( >=net-libs/serf-1.3.4 )
+ kwallet? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/ki18n:5
+ kde-frameworks/kwallet:5
+ sys-apps/dbus
+ )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( ${RUBY_DEPS} )
+ sasl? ( dev-libs/cyrus-sasl )"
+RDEPEND="${COMMON_DEPEND}
+ apache2? ( www-servers/apache[apache2_modules_dav] )
+ java? ( >=virtual/jre-1.5 )
+ nls? ( virtual/libintl )
+ perl? ( dev-perl/URI )"
+# Note: ctypesgen doesn't need PYTHON_USEDEP, it's used once
+DEPEND="${COMMON_DEPEND}
+ !!<sys-apps/sandbox-1.6
+ ctypes-python? ( dev-python/ctypesgen )
+ doc? ( app-doc/doxygen )
+ gnome-keyring? ( virtual/pkgconfig )
+ http? ( virtual/pkgconfig )
+ java? ( >=virtual/jdk-1.5 )
+ kwallet? (
+ kde-frameworks/kdelibs4support:5
+ virtual/pkgconfig
+ )
+ nls? ( sys-devel/gettext )
+ test? ( ${PYTHON_DEPS} )"
+
+REQUIRED_USE="
+ ctypes-python? ( ${PYTHON_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ test? (
+ ${PYTHON_REQUIRED_USE}
+ !dso
+ )"
+
+want_apache
+
+pkg_setup() {
+ if use berkdb ; then
+ local apu_bdb_version="$(${EPREFIX}/usr/bin/apu-1-config --includes \
+ | grep -Eoe '-I${EPREFIX}/usr/include/db[[:digit:]]\.[[:digit:]]' \
+ | sed 's:.*b::')"
+ einfo
+ if [[ -z "${SVN_BDB_VERSION}" ]] ; then
+ if [[ -n "${apu_bdb_version}" ]] ; then
+ SVN_BDB_VERSION="${apu_bdb_version}"
+ einfo "Matching db version to apr-util"
+ else
+ SVN_BDB_VERSION="$(db_ver_to_slot "$(db_findver sys-libs/db 2>/dev/null)")"
+ einfo "SVN_BDB_VERSION variable isn't set. You can set it to enforce using of specific version of Berkeley DB."
+ fi
+ fi
+ einfo "Using: Berkeley DB ${SVN_BDB_VERSION}"
+ einfo
+
+ if [[ -n "${apu_bdb_version}" && "${SVN_BDB_VERSION}" != "${apu_bdb_version}" ]]; then
+ eerror "APR-Util is linked against Berkeley DB ${apu_bdb_version}, but you are trying"
+ eerror "to build Subversion with support for Berkeley DB ${SVN_BDB_VERSION}."
+ eerror "Rebuild dev-libs/apr-util or set SVN_BDB_VERSION=\"${apu_bdb_version}\"."
+ eerror "Aborting to avoid possible run-time crashes."
+ die "Berkeley DB version mismatch"
+ fi
+ fi
+
+ depend.apache_pkg_setup
+
+ java-pkg-opt-2_pkg_setup
+
+ if ! use http ; then
+ ewarn "WebDAV support is disabled. You need WebDAV to"
+ ewarn "access repositories through the HTTP protocol."
+ ewarn "Consider enabling \"http\" USE flag"
+ echo -ne "\a"
+ fi
+
+ if use debug ; then
+ append-cppflags -DSVN_DEBUG -DAP_DEBUG
+ fi
+
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C51C42014.3060700@wandisco.com%3E
+ [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+
+ # Allow for custom repository locations.
+ SVN_REPOS_LOC="${SVN_REPOS_LOC:-${EPREFIX}/var/svn}"
+
+ if use ruby ; then
+ local rbslot
+ RB_VER=""
+ for rbslot in $(sed 's@\([[:digit:]]\+\)\([[:digit:]]\)@\1.\2@g' <<< ${USE_RUBY//ruby}) ; do
+ if has_version dev-lang/ruby:${rbslot} ; then
+ RB_VER="${rbslot/.}"
+ break
+ fi
+ done
+ [[ -z "${RB_VER}" ]] && die "No useable ruby version found"
+ fi
+}
+
+src_prepare() {
+ eapply "${WORKDIR}/patches"
+ eapply_user
+
+ fperms +x build/transform_libtool_scripts.sh
+
+ sed -i \
+ -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+ -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+ # this bites us in particular on Solaris
+ sed -i -e '1c\#!/usr/bin/env sh' build/transform_libtool_scripts.sh || \
+ die "/bin/sh is not POSIX shell!"
+
+ eautoconf
+ elibtoolize
+
+ sed -e 's/\(libsvn_swig_py\)-\(1\.la\)/\1-$(EPYTHON)-\2/g' \
+ -i build-outputs.mk || die "sed failed"
+
+ if use python ; then
+ # XXX: make python_copy_sources accept path
+ S=${S}/subversion/bindings/swig/python python_copy_sources
+ rm -r "${S}"/subversion/bindings/swig/python || die
+ fi
+
+ xdg_environment_reset
+}
+
+src_configure() {
+ local myconf=(
+ --libdir="${EPREFIX%/}/usr/$(get_libdir)"
+ $(use_with apache2 apache-libexecdir)
+ $(use_with apache2 apxs "${APXS}")
+ $(use_with berkdb berkeley-db "db.h:${EPREFIX%/}/usr/include/db${SVN_BDB_VERSION}::db-${SVN_BDB_VERSION}")
+ $(use_with ctypes-python ctypesgen "${EPREFIX%/}/usr")
+ $(use_enable dso runtime-module-search)
+ $(use_with gnome-keyring)
+ $(use_enable java javahl)
+ $(use_with java jdk "${JAVA_HOME}")
+ $(use_with kwallet)
+ $(use_enable nls)
+ $(use_with sasl)
+ $(use_with http serf)
+ --with-apr="${EPREFIX%/}/usr/bin/apr-1-config"
+ --with-apr-util="${EPREFIX%/}/usr/bin/apu-1-config"
+ --disable-experimental-libtool
+ --without-jikes
+ --disable-mod-activation
+ --disable-static
+ )
+
+ if use python || use perl || use ruby; then
+ myconf+=( --with-swig )
+ else
+ myconf+=( --without-swig )
+ fi
+
+ if use java ; then
+ myconf+=( --without-junit )
+ fi
+
+ case ${CHOST} in
+ *-aix*)
+ # avoid recording immediate path to sharedlibs into executables
+ append-ldflags -Wl,-bnoipath
+ ;;
+ *-cygwin*)
+ # no LD_PRELOAD support, no undefined symbols
+ myconf+=( --disable-local-library-preloading LT_LDFLAGS=-no-undefined )
+ ;;
+ *-interix*)
+ # loader crashes on the LD_PRELOADs...
+ myconf+=( --disable-local-library-preloading )
+ ;;
+ *-solaris*)
+ # need -lintl to link
+ use nls && append-libs intl
+ # this breaks installation, on x64 echo replacement is 32-bits
+ myconf+=( --disable-local-library-preloading )
+ ;;
+ *-mint*)
+ myconf+=( --enable-all-static --disable-local-library-preloading )
+ ;;
+ *)
+ # inject LD_PRELOAD entries for easy in-tree development
+ myconf+=( --enable-local-library-preloading )
+ ;;
+ esac
+
+ #version 1.7.7 again tries to link against the older installed version and fails, when trying to
+ #compile for x86 on amd64, so workaround this issue again
+ #check newer versions, if this is still/again needed
+ myconf+=( --disable-disallowing-of-undefined-references )
+
+ # for build-time scripts
+ if use ctypes-python || use python || use test; then
+ python_setup
+ fi
+
+ if use python && [[ ${CHOST} == *-darwin* ]] ; then
+ export ac_cv_python_link="$(tc-getCC) "'$(PYTHON_CFLAGS) -bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+ export ac_cv_python_libs='$(PYTHON_CFLAGS) -bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+ export ac_cv_python_compile="$(tc-getCC)"
+ fi
+
+ # allow overriding Python include directory
+ ac_cv_path_RUBY=$(usex ruby "${EPREFIX%/}/usr/bin/ruby${RB_VER}" "none") \
+ ac_cv_path_RDOC=$(usex ruby "${EPREFIX%/}/usr/bin/rdoc${RB_VER}" "none") \
+ ac_cv_python_includes='-I$(PYTHON_INCLUDEDIR)' \
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ emake local-all
+
+ if use ctypes-python ; then
+ # pre-generate .py files
+ use ctypes-python && emake ctypes-python
+
+ pushd subversion/bindings/ctypes-python >/dev/null || die
+ distutils-r1_src_compile
+ popd >/dev/null || die
+ fi
+
+ if use python ; then
+ swig_py_compile() {
+ local p=subversion/bindings/swig/python
+ rm -f ${p} || die
+ ln -s "${BUILD_DIR}" ${p} || die
+
+ python_export PYTHON_INCLUDEDIR
+ emake swig-py \
+ swig_pydir="$(python_get_sitedir)/libsvn" \
+ swig_pydir_extra="$(python_get_sitedir)/svn"
+ }
+
+ # this will give us proper BUILD_DIR for symlinking
+ BUILD_DIR=python \
+ python_foreach_impl swig_py_compile
+ fi
+
+ if use perl ; then
+ emake swig-pl
+ fi
+
+ if use ruby ; then
+ emake swig-rb
+ fi
+
+ if use java ; then
+ emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding iso8859-1" javahl
+ fi
+
+ if use extras ; then
+ emake tools
+ fi
+
+ if use doc ; then
+ doxygen doc/doxygen.conf || die "Building of Subversion HTML documentation failed"
+
+ if use java; then
+ emake doc-javahl
+ fi
+ fi
+}
+
+src_test() {
+ if has_version ~${CATEGORY}/${P} ; then
+ default
+
+ if use ctypes-python ; then
+ python_test() {
+ "${PYTHON}" subversion/bindings/ctypes-python/test/run_all.py \
+ || die "ctypes-python tests fail with ${EPYTHON}"
+ }
+
+ distutils-r1_src_test
+ fi
+
+ if use python ; then
+ swig_py_test() {
+ pushd "${BUILD_DIR}" >/dev/null || die
+ "${PYTHON}" tests/run_all.py || die "swig-py tests fail with ${EPYTHON}"
+ popd >/dev/null || die
+ }
+
+ BUILD_DIR=subversion/bindings/swig/python \
+ python_foreach_impl swig_py_test
+ fi
+ else
+ ewarn "The test suite shows errors when there is an older version of"
+ ewarn "${CATEGORY}/${PN} installed. Please install =${CATEGORY}/${P}*"
+ ewarn "before running the test suite."
+ ewarn "Test suite skipped."
+ fi
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" local-install
+
+ if use ctypes-python ; then
+ pushd subversion/bindings/ctypes-python >/dev/null || die
+ distutils-r1_src_install
+ popd >/dev/null || die
+ fi
+
+ if use python ; then
+ swig_py_install() {
+ local p=subversion/bindings/swig/python
+ rm -f ${p} || die
+ ln -s "${BUILD_DIR}" ${p} || die
+
+ emake \
+ DESTDIR="${D}" \
+ swig_pydir="$(python_get_sitedir)/libsvn" \
+ swig_pydir_extra="$(python_get_sitedir)/svn" \
+ install-swig-py
+ }
+
+ BUILD_DIR=python \
+ python_foreach_impl swig_py_install
+ fi
+
+ if use perl ; then
+ emake DESTDIR="${D}" INSTALLDIRS="vendor" install-swig-pl
+ perl_delete_localpod
+ find "${ED}" \( -name .packlist -o -name "*.bs" \) -delete || die
+ fi
+
+ if use ruby ; then
+ emake DESTDIR="${D}" install-swig-rb
+ fi
+
+ if use java ; then
+ emake DESTDIR="${D}" install-javahl
+ java-pkg_regso "${ED%/}"/usr/$(get_libdir)/libsvnjavahl*$(get_libname)
+ java-pkg_dojar "${ED%/}"/usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+ rm -fr "${ED%/}"/usr/$(get_libdir)/svn-javahl/*.jar
+ fi
+
+ # Install Apache module configuration.
+ if use apache2 ; then
+ keepdir "${APACHE_MODULES_CONFDIR}"
+ insinto "${APACHE_MODULES_CONFDIR}"
+ doins "${FILESDIR}/47_mod_dav_svn.conf"
+ fi
+
+ # Install Bash Completion, bug 43179.
+ newbashcomp tools/client-side/bash_completion svn
+ bashcomp_alias svn svn{admin,dumpfilter,look,sync,version}
+ rm -f tools/client-side/bash_completion
+
+ # Install hot backup script, bug 54304.
+ newbin tools/backup/hot-backup.py svn-hot-backup
+ rm -fr tools/backup
+
+ # Install svnserve init-script and xinet.d snippet, bug 43245.
+ newinitd "${FILESDIR}"/svnserve.initd3 svnserve
+ newconfd "${FILESDIR}"/svnserve.confd svnserve
+ insinto /etc/xinetd.d
+ newins "${FILESDIR}"/svnserve.xinetd svnserve
+
+ #adjust default user and group with disabled apache2 USE flag, bug 381385
+ if ! use apache2 ; then
+ sed -e "s\USER:-apache\USER:-svn\g" \
+ -e "s\GROUP:-apache\GROUP:-svnusers\g" \
+ -i "${ED%/}"/etc/init.d/svnserve || die
+ sed -e "0,/apache/s//svn/" \
+ -e "s:apache:svnusers:" \
+ -i "${ED%/}"/etc/xinetd.d/svnserve || die
+ fi
+
+ # Install documentation.
+ dodoc CHANGES COMMITTERS README
+ dodoc tools/xslt/svnindex.{css,xsl}
+ rm -fr tools/xslt
+
+ # Install extra files.
+ if use extras ; then
+ cat <<- EOF > 80subversion-extras
+ PATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+ ROOTPATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+ EOF
+ doenvd 80subversion-extras
+
+ emake DESTDIR="${D}" toolsdir="/usr/$(get_libdir)/subversion/bin" install-tools
+
+ find tools \( -name "*.bat" -o -name "*.in" -o -name ".libs" \) -print0 | xargs -0 rm -fr
+ rm -fr tools/client-side/svnmucc
+ rm -fr tools/server-side/{svn-populate-node-origins-index,svnauthz-validate}*
+ rm -fr tools/{buildbot,dev,diff,po}
+
+ insinto /usr/share/${PN}
+ find tools -name '*.py' -exec sed -i -e '1s:python:&2:' {} + || die
+ doins -r tools
+ fi
+
+ if use doc ; then
+ docinto html
+ dodoc -r doc/doxygen/html/*
+
+ if use java ; then
+ java-pkg_dojavadoc doc/javadoc
+ fi
+ fi
+
+ prune_libtool_files --all
+
+ cd "${ED%/}"/usr/share/locale
+ for i in * ; do
+ if [[ ${i} != *${LINGUAS}* ]] ; then
+ rm -r ${i} || die
+ fi
+ done
+}
+
+pkg_preinst() {
+ # Compare versions of Berkeley DB, bug 122877.
+ if use berkdb && [[ -f "${EROOT}/usr/bin/svn" ]] ; then
+ OLD_BDB_VERSION="$(scanelf -nq "${EROOT}/usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo "libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+ NEW_BDB_VERSION="$(scanelf -nq "${ED%/}/usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo "libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+ if [[ "${OLD_BDB_VERSION}" != "${NEW_BDB_VERSION}" ]] ; then
+ CHANGED_BDB_VERSION="1"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ if [[ -n "${CHANGED_BDB_VERSION}" ]] ; then
+ ewarn "You upgraded from an older version of Berkeley DB and may experience"
+ ewarn "problems with your repository. Run the following commands as root to fix it:"
+ ewarn " db4_recover -h ${SVN_REPOS_LOC}/repos"
+ ewarn " chown -Rf apache:apache ${SVN_REPOS_LOC}/repos"
+ fi
+
+ ewarn "If you run subversion as a daemon, you will need to restart it to avoid module mismatches."
+}
+
+pkg_postrm() {
+ :
+}
+
+pkg_config() {
+ # Remember: Don't use ${EROOT}${SVN_REPOS_LOC} since ${SVN_REPOS_LOC}
+ # already has EPREFIX in it
+ einfo "Initializing the database in ${SVN_REPOS_LOC}..."
+ if [[ -e "${SVN_REPOS_LOC}/repos" ]] ; then
+ echo "A Subversion repository already exists and I will not overwrite it."
+ echo "Delete \"${SVN_REPOS_LOC}/repos\" first if you're sure you want to have a clean version."
+ else
+ mkdir -p "${SVN_REPOS_LOC}/conf"
+
+ einfo "Populating repository directory..."
+ # Create initial repository.
+ "${EROOT}/usr/bin/svnadmin" create "${SVN_REPOS_LOC}/repos"
+
+ einfo "Setting repository permissions..."
+ SVNSERVE_USER="$(. "${EROOT}/etc/conf.d/svnserve"; echo "${SVNSERVE_USER}")"
+ SVNSERVE_GROUP="$(. "${EROOT}/etc/conf.d/svnserve"; echo "${SVNSERVE_GROUP}")"
+ if use apache2 ; then
+ [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="apache"
+ [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="apache"
+ else
+ [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="svn"
+ [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="svnusers"
+ fi
+ chmod -Rf go-rwx "${SVN_REPOS_LOC}/conf"
+ chmod -Rf o-rwx "${SVN_REPOS_LOC}/repos"
+ echo "Please create \"${SVNSERVE_GROUP}\" group if it does not exist yet."
+ echo "Afterwards please create \"${SVNSERVE_USER}\" user with homedir \"${SVN_REPOS_LOC}\""
+ echo "and as part of the \"${SVNSERVE_GROUP}\" group if it does not exist yet."
+ echo "Finally, execute \"chown -Rf ${SVNSERVE_USER}:${SVNSERVE_GROUP} ${SVN_REPOS_LOC}/repos\""
+ echo "to finish the configuration."
+ fi
+}
diff --git a/dev-vcs/subversion/subversion-1.9.7-r1.ebuild b/dev-vcs/subversion/subversion-1.9.7-r1.ebuild
index acaf07b10081..83bafb416df6 100644
--- a/dev-vcs/subversion/subversion-1.9.7-r1.ebuild
+++ b/dev-vcs/subversion/subversion-1.9.7-r1.ebuild
@@ -20,7 +20,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="Subversion GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring +http java kwallet nls perl python ruby sasl test vim-syntax"
COMMON_DEPEND="